### Function

# GLib PtrArray add

#### Declaration

    void
    g_ptr_array_add (
      GPtrArray* array,
      gpointer data
    )

#### Description

Adds a pointer to the end of the pointer array. The array will grow in size automatically if necessary.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GPtrArray`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  The pointer to add.

  The argument can be `NULL`.
  The data is owned by the caller of the function.